# Uses of Class
org.eclipse.team.core.RepositoryProvider

Packages that use RepositoryProvider
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.

## Uses of RepositoryProvider in org.eclipse.team.core

Methods in org.eclipse.team.core that return RepositoryProvider
Modifier and Type
Method
Description
`static final RepositoryProvider`
RepositoryProvider.`getProvider(IProject project)`
Returns the provider for a given IProject or `null` if a provider is not associated with the project or if the project is closed or does not exist.
`static final RepositoryProvider`
RepositoryProvider.`getProvider(IProject project, String id)`
Returns a provider of type with the given id if associated with the given project or `null` if the project is not associated with a provider of that type or the nature id is that of a non-team repository provider nature.